Approve an account invitation
curl --request PUT \
--url https://accounts.livechat.com/v2/accounts/invitations/{invitation_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "administrator"
}
'import requests
url = "https://accounts.livechat.com/v2/accounts/invitations/{invitation_id}"
payload = { "role": "administrator" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'administrator'})
};
fetch('https://accounts.livechat.com/v2/accounts/invitations/{invitation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "496a94f2-cbbf-444e-a3cb-305b9f5f8cbb"
}{
"error": "bad_request",
"error_description": "The server cannot or will not process the request due to an apparent client error (for example, malformed request syntax, size too large).",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "unauthorized",
"error_description": "The account is not authorized.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "access_denied",
"sub_error": "insufficient_scope",
"error_description": "The resource owner or authorization server denied the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "resource_not_found",
"error_description": "The requested resource couldn't be found.",
"resource_name": "account",
"resource_id": "def31e95-5ca4-4817-b176-732e4544daca",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "conflict",
"error_description": "The request couldn't be processed because of conflict in the current state of the resource.",
"resource_name": "account",
"resource_id": "5903c51b-89f0-41a9-a25d-4f39af100353",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "invalid_request",
"error_description": "The request is missing a required parameter, includes an invalid parameter value, includes a parameter more than once, or is otherwise malformed.",
"invalid_fields": {
"email": "invalid email address"
},
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}{
"error": "server_error",
"error_description": "The server encountered an unexpected condition that prevented it from fulfilling the request.",
"request_id": "5903c51b-89f0-41a9-a25d-4f39af100353"
}Accounts
Approve an account invitation
Approve an account invitation.
PUT
/
accounts
/
invitations
/
{invitation_id}
Approve an account invitation
Required scopes:
accounts.invitations--all:rw, accounts.invitations.lc--all:rw accounts.invitations.hd--all:rwAuthorizations
PersonalAccessTokenOAuth2BearerToken
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Unique account invitation ID.
Body
application/json
The approved account's role in a given product.
Response
OK: Returns the account ID.
Unique account identifier.
Was this page helpful?
⌘I